part of 'goods_details_img_bloc.dart';

abstract class GoodsDetailsImgState extends Equatable {
  const GoodsDetailsImgState();

  @override
  List<Object> get props => [];
}

class GoodsDetailsImgInitial extends GoodsDetailsImgState {
  @override
  List<Object> get props => [];
}

/// 数据加载成功
class GoodsDetailsImgLoadedState extends GoodsDetailsImgState {
  GoodsDetailsImgModel model;

  GoodsDetailsImgLoadedState({this.model});

  GoodsDetailsImgLoadedState copyWith({@required GoodsDetailsImgModel newData}) {
    return GoodsDetailsImgLoadedState(model: newData ?? model);
  }

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class GoodsDetailsImgErrorState extends GoodsDetailsImgState {}
